﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XF.Domain.Constants
{
    public class SettingConstants
    {
        /// <summary>
        /// 是否启用IVR
        /// </summary>
        public const string IVRConfig = "IVRConfig";

        /// <summary>
        /// 是否小休审批
        /// </summary>
        public const string IsRestApproval = "IsRestApproval";
        /// <summary>
        /// 首页登录图
        /// </summary>
        public const string LoginImage = "LoginImage";
        /// <summary>
        /// 系统名称
        /// </summary>
        public const string SysName = "SysName";

        /// <summary>
        /// 是否通话后挂起
        /// </summary>
        public const string IsAutoTalkingDeal = "IsAutoTalkingDeal";

        /// <summary>
        /// 通话后挂起时间
        /// </summary>
        public const string TalkingDealTime = "TalkingDealTime";

        /// <summary>
        /// 中心节假日工作时间
        /// </summary>
        public const string CallCenterWorkTime = "CallCenterWorkTime";

        /// <summary>
        /// 工作日工作时间
        /// </summary>
        public const string WorkTime = "WorkTime";

        /// <summary>
        /// 工单延期申请次数
        /// </summary>
        public const string DelayNum = "DelayNum";

        /// <summary>
        /// 甄别申请截至时限
        /// </summary>
        public const string ScreenApplyEndTime = "ScreenApplyEndTime";


        /// <summary>
        /// 甄别申请次数限制
        /// </summary>
        public const string ScreenApplyNum = "ScreenApplyNum";

        /// <summary>
        /// 工单重复性事件次数
        /// </summary>
        public const string RepeatableEventNum = "RepeatableEventNum";

        /// <summary>
        /// 即将超期工单检测值
        /// </summary>
        public const string OrderAboutToExpire = "OrderAboutToExpire";

        /// <summary>
        /// 是否需要分机号
        /// </summary>
        public const string IsNeedTelNo = "IsNeedTelNo";

        /// <summary>
        /// 分机是否需要验证
        /// </summary>
        public const string IsTelNeedVerify = "IsTelNeedVerify";

        /// <summary>
        /// 退回中心时限
        /// </summary>
        public const string BackCenterTimeSetting = "BackCenterTimeSetting";

        /// <summary>
        /// 智能语音导航
        /// </summary>
        public const string AIIVRTime = "AIIVRTime";

        /// <summary>
        /// 是否启用智能语音导航
        /// </summary>
        public const string IsAIIVR = "IsAIIVR";

        /// <summary>
        /// 队列数
        /// </summary>
        public const string QueueNum = "QueueNum";

        /// <summary>
        /// 是否启用自定义事件
        /// </summary>
        public const string IsCustomEvent = "IsCustomEvent";

        /// <summary>
        /// 未接秒挂时间
        /// </summary>
        public const string NoConnectByeTimes = "NoConnectByeTimes";
        /// <summary>
        /// 呼入有效时间
        /// </summary>
        public const string EffectiveTimes = "EffectiveTimes";
        /// <summary>
        /// 接通秒挂时间
        /// </summary>
        public const string ConnectByeTimes = "ConnectByeTimes";
        /// <summary>
        /// 及时应答时间
        /// </summary>
        public const string RingTims = "RingTims";
        /// <summary>
        /// 大屏数据展示推送间隔时间
        /// </summary>
        public const string BsDataShowChangedTimes = "BsDataShowChangedTimes";
        /// <summary>
        /// 大屏坐席监控推送间隔时间
        /// </summary>
        public const string BsDataStateChangedTimes = "BsDataStateChangedTimes";

        /// <summary>
        /// 二级部门退回
        /// </summary>
        public const string TwoOrgSendBack = "TwoOrgSendBack";

        /// <summary>
        /// 一级部门退回
        /// </summary>
        public const string OneOrgSendBack = "OneOrgSendBack";

        /// <summary>
        /// 坐席班长
        /// </summary>
        public const string SeatsMonitor = "SeatsMonitor";

        /// <summary>
        /// 是否开启登录短信
        /// </summary>
        public const string IsLoginMessageCode = "IsLoginMessageCode";

        /// <summary>
        /// 登录白名单
        /// </summary>
        public const string LoginCodeWhiteList = "LoginCodeWhiteList";

        /// <summary>
        /// 录音地址配置
        /// </summary>
        public const string TapeAddress = "TapeAddress";

        /// <summary>
        /// 录音下载地址配置
        /// </summary>
        public const string DownTapeAddress = "DownTapeAddress";

        /// <summary>
        /// 默认派单员
        /// </summary>
        public const string DefaultDispatchClerk = "DefaultDispatchClerk";

        /// <summary>
        /// 高频来电统计-来电次数
        /// </summary>
        public const string HighFrequencyCallStatistics = "HighFrequencyCallStatistics";

        /// <summary>
        /// 是否市州互转
        /// </summary>
        public const string TranspondCity = "TranspondCity";

		/// <summary>
		/// 特提坐席权限
		/// </summary>
		public const string SpecialSeats = "SpecialSeats";

		/// <summary>
		/// 特提派单组权限
		/// </summary>
		public const string SpecialSendOrder = "SpecialSendOrder";

		/// <summary>
		/// 平均派单
		/// </summary>
		public const string AverageSendOrder = "AverageSendOrder";

	}
}
